Subject: Re: bug#11947: 24.1.50; tramp bug - grep from helm have an empty buffer when used on a remote machine.

From: Michael Albinus <[email-masked]>
Date: Mon, 16 Jul 2012 17:19:04 +0200

Thierry Volpiatto <[email-masked]> writes:

> Hi,

Hi,

> when I use helm-*-grep from helm-find-files, I lose the output of the
> command immidiately after it came in its buffer.
>
> If I load the tramp files from emacs-24.1 all work fine again.
> So it is not reproducible from emacs-24.1.
>
> To reproduce:
>
> 1) get the helm files here: https://github.com/emacs-helm/helm
> 2) install helm (See README)
> 3) run helm-find-files and navigate to a remote machine with scpc or ssh
>    method.
> 4) Launch grep on a file (from menu action <TAB> or hit <M-G-S>)
> 5) enter something in prompt.
>    You should see the output for 0.1 =~ second and then lost it.

I can reproduce it here. Surprisingly, the problem goes away, when
`tramp-verbose' is set to 6.

Does helm do Tramp related actions? Needs more digging.

Best regards, Michael.